package com.icloud.server.payutils.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 支付订单的状态枚举
 *
 * @author
 */
@Getter
@AllArgsConstructor
public enum PayTypeEnum {

    WXPAY(1, "微信"),
    WXJSPAY(3, "微信"),
    ALIPAY(2, "支付宝");

    private final Integer status;
    private final String name;

//    @Override
//    public int[] array() {
//        return new int[0];
//    }


    public Integer getStatus() {
        return status;
    }

    public String getName() {
        return name;
    }
}
